package com.bonus.system.service;

import com.bonus.common.core.web.domain.AjaxResult;
import com.bonus.system.domain.SysIpWhitelist;

import java.util.List;

/**
 * 白名单管理Service接口
 *
 * @author bonus
 * @date 2024-11-06
 */
public interface ISysIpWhitelistService
{
    /**
     * 查询白名单管理
     *
     * @param id 白名单管理主键
     * @return 白名单管理
     */
    public AjaxResult selectSysIpWhitelistById(Long id);

    /**
     * 查询白名单管理列表
     *
     * @param sysIpWhitelist 白名单管理
     * @return 白名单管理集合
     */
    public List<SysIpWhitelist> selectSysIpWhitelistList(SysIpWhitelist sysIpWhitelist);

    /**
     * 新增白名单管理
     *
     * @param sysIpWhitelist 白名单管理
     * @return 结果
     */
    public AjaxResult insertSysIpWhitelist(SysIpWhitelist sysIpWhitelist);

    /**
     * 修改白名单管理
     *
     * @param sysIpWhitelist 白名单管理
     * @return 结果
     */
    public AjaxResult updateSysIpWhitelist(SysIpWhitelist sysIpWhitelist);

    /**
     * 批量删除白名单管理
     *
     * @param ids 需要删除的白名单管理主键集合
     * @return 结果
     */
    public AjaxResult deleteSysIpWhitelistByIds(Long[] ids);


    public AjaxResult updateSysIpWhitelistStatus(SysIpWhitelist sysIpWhitelist);

    public void selectSysIpWhitelist();
}
